Update Tier
curl --request PUT \
--url https://api.example.com/api/rate-limits/tiers/{tier} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"allowed_limit": 123,
"window_seconds": 123,
"is_active": true
}
'import requests
url = "https://api.example.com/api/rate-limits/tiers/{tier}"
payload = {
"allowed_limit": 123,
"window_seconds": 123,
"is_active": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowed_limit: 123, window_seconds: 123, is_active: true})
};
fetch('https://api.example.com/api/rate-limits/tiers/{tier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Rate Limits
Update Tier
Update a rate limit tier (admin only)
PUT
/
api
/
rate-limits
/
tiers
/
{tier}
Update Tier
Authentication
string
required
Bearer token:
Bearer <admin_token>Path Parameters
string
required
Tier name to update
Request Body
integer
Updated request limit
integer
Updated time window
boolean
Updated active status
Example Request
curl -X PUT https://api.sari-platform.com/api/rate-limits/tiers/client \
-H "Authorization: Bearer <admin_token>" \
-H "Content-Type: application/json" \
-d '{
"allowed_limit": 2000,
"is_active": true
}'
Response
Returns the updated tier configuration.{
"tier": "client",
"allowed_limit": 2000,
"window_seconds": 3600,
"is_active": true,
"updated_at": "2024-01-16T12:00:00Z"
}
Errors
| Status | Description |
|---|---|
| 400 | Invalid request body |
| 401 | Invalid or expired token |
| 403 | Admin access required |
| 404 | Tier not found |
⌘I

